Bug 31384 - Enhance initramfs with hook possibilities
Enhance initramfs with hook possibilities
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: initrd
unspecified
Other Linux
: P4 enhancement
: UCC 2.1
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks: 38817
  Show dependency treegraph
 
Reported: 2013-05-17 09:15 CEST by Erik Damrose
Modified: 2015-08-07 15:48 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Roadmap discussion
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-05-17 09:15:51 CEST
A hook interface could be integrated in our initramfs script to allow easy extensions at different stages:
- directly after evaluating cmdline and ldap-cmdline parameters
- before/after partitioning/rollout/local boot
- ...
Comment 1 Erik Damrose univentionstaff 2015-07-02 13:54:56 CEST
r61664 univention-ucc-initramfs 4.0.0-1.124.201507021348
r61665 changelog
Comment 2 Felix Botner univentionstaff 2015-07-14 16:41:38 CEST
boot fails in 

mountroot() -> run_parts_in "/usr/lib/univention-initramfs-pre-boot-option-check" -> _mount_image()

if the clients disk is empty.
Comment 3 Erik Damrose univentionstaff 2015-07-15 10:14:55 CEST
I added an extra check for this case
r62109 univention-ucc-initramfs 4.0.0-3.135.201507141735
Comment 4 Felix Botner univentionstaff 2015-07-15 11:54:48 CEST
OK - univention-initramfs-localboot 
OK - univention-initramfs-pre-boot-option-check
OK - univention-initramfs-post-boot-option-check

OK - image installation
OK - image update

OK - Changelog
Comment 5 Erik Damrose univentionstaff 2015-08-07 15:48:19 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".